GET /api/pro/earnings

Every earning and what is owed, not yet invoiced. An employee has none and is answered 403.

Surface: professional. Who may call: professional. Key: professional.earnings.list.

Example request

curl -X GET https://caremcp.com/api/pro/earnings \
  -H "Authorization: Bearer <session or access token>"

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {}
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "owedCents": {
   "$ref": "#/$defs/__schema0"
  },
  "earnings": {
   "type": "array",
   "items": {
    "type": "object",
    "properties": {
     "orderId": {
      "type": "string"
     },
     "amountCents": {
      "$ref": "#/$defs/__schema0"
     },
     "description": {
      "type": "string"
     },
     "payoutId": {
      "type": [
       "string",
       "null"
      ]
     },
     "at": {
      "type": "string"
     }
    },
    "required": [
     "orderId",
     "amountCents",
     "description",
     "payoutId",
     "at"
    ],
    "additionalProperties": false
   }
  }
 },
 "required": [
  "owedCents",
  "earnings"
 ],
 "additionalProperties": false,
 "$defs": {
  "__schema0": {
   "type": "integer",
   "minimum": -9007199254740991,
   "maximum": 9007199254740991
  }
 }
}